curl --request GET \
--url 'https://api.stateset.com/api/v1/warehouse-locations/{id}/inventory' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"inventory": [
{
"location_id": 1001,
"lot_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"quantity_available": "string",
"quantity_on_hand": "string",
"quantity_reserved": "string",
"sku": "SKU-TENT-2P-GRN",
"updated_at": "2026-08-31T14:22:05Z"
}
],
"total": 102
}
Location inventory
Location inventory
GET
/
api
/
v1
/
warehouse-locations
/
{id}
/
inventory
curl --request GET \
--url 'https://api.stateset.com/api/v1/warehouse-locations/{id}/inventory' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"inventory": [
{
"location_id": 1001,
"lot_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"quantity_available": "string",
"quantity_on_hand": "string",
"quantity_reserved": "string",
"sku": "SKU-TENT-2P-GRN",
"updated_at": "2026-08-31T14:22:05Z"
}
],
"total": 102
}
Path parameters
integer (int32)
required
Location ID
Response
LocationInventoryListResponse
LocationInventoryResponse[]
required
integer
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
curl --request GET \
--url 'https://api.stateset.com/api/v1/warehouse-locations/{id}/inventory' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"inventory": [
{
"location_id": 1001,
"lot_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"quantity_available": "string",
"quantity_on_hand": "string",
"quantity_reserved": "string",
"sku": "SKU-TENT-2P-GRN",
"updated_at": "2026-08-31T14:22:05Z"
}
],
"total": 102
}
Last modified on August 31, 2026